<?php
$this->PageTitle = 'Relatório de cancelamentos';

$options = array();
if(isset($_GET['Clientes']) && !empty($_GET['Clientes'])) {
    $model->setAttributes($_GET['Clientes']);
    $serialize = array();
    foreach($_GET['Clientes'] as $field => $value) {
        if(is_array($value)) {
            foreach($value as $key => $id) {
                $serialize[] = 'Clientes['. $field . '][]='.$id;
            }
        } else {
            $serialize[] = 'Clientes['. $field . ']='.$value;
        }
    }
    $url = implode('&', $serialize);
    $options[] = array(
        'label' => FaHtml::iconExcel(),
        'url' => array('clientes/cancelamentos_excel&'.$url),
        'linkOptions' => array('class' => 'novo update_url', 'data-replace' => 'cancelamentos_excel', 'data-url' => 'cancelamentos_relatorio')
    );
    $options[] = array(
        'label' => FaHtml::iconGraph(),
        'url' => array('clientes/cancelamentos_grafico&'.$url),
        'linkOptions' => array('class' => 'novo update_url', 'data-replace' => 'cancelamentos_grafico', 'data-url' => 'cancelamentos_relatorio')
    );
} else {
    $options[] = array(
        'label' => FaHtml::iconGraph(),
        'url' => array('clientes/cancelamentos_grafico'),
        'linkOptions' => array('class' => 'novo')
    );
}
$options[] = array(
    'label' => FaHtml::iconSetaClose(),
    'url' => '#',
    'linkOptions' => array('class' => 'search-button')
);
$options[] = array(
    'label' => FaHtml::iconRefresh(),
    'url' => 'javascript:void(0);',
    'linkOptions' => array('onclick' => 'reloadFrame();',
        'class' => 'refresh-button'
    )
);
$this->menu = $options;
?>

<div class="search-form" style="display:<?php echo isset($_GET['Clientes']) && !empty($_GET['Clientes']) ? 'hidden' : 'block'; ?>">
    <?php $this->renderPartial('_search_cancelamentos', array('model' => $model)); ?>
</div><!-- search-form -->

<?php
$dataProvider = $model->searchCancelamentos();
if(isset($_GET['Clientes']) && !empty($_GET['Clientes'])) {
$this->widget('ext.Utils.widgets.CrmGridView', array(
    'id' => 'admin-grid',
    'dataProvider' => $dataProvider,
    'afterAjaxUpdate'=>'updated',
    'selectableRows' => 1,
    'pager' => Util::getPagerDefaultConfig(),
    'columns' => array(
        array(
            'name' => 'CLI_NOME',
            'value' => 'Util::getNomeImplantacao($data->CLI_NOME, $data->CLI_IMPLANTACAO) . Util::getInfoCliente($data)',
            'type' => 'raw'
        ),
        array(
            'name' => 'CLI_CIDADE',
            'value' => 'GxHtml::valueEx($data->Cidade)',
        ),
        array(
            'name' => 'RevendaResponsavel',
            'value' => '$data->RevendaResponsavel2',
        ),
        array(
            'name' => 'CLI_DTRESCISAO',
            'value' => '$data->CLI_DTRESCISAO',
        ),
        array(
            'name' => 'CLI_IDRESCISAO',
            'value' => '$data->MotivoRescisao',
        ),
        array(
            'name' => 'CLI_PRODUTO',
            'value' => '$data->ProdutoContratado',
        ),
        array(
            'name' => 'CLI_VLRMENSAL',
            'header' => 'Valor da Mensalidade',
            'value' => '$data->verMensalidade()',
        ),
    ),
));
}